io.milvus.bulkwriter

## Class RemoteBulkWriter

- java.lang.Object
- - io.milvus.bulkwriter.BulkWriter
  - - io.milvus.bulkwriter.LocalBulkWriter
    - - io.milvus.bulkwriter.RemoteBulkWriter

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class RemoteBulkWriter
      extends LocalBulkWriter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteBulkWriter(RemoteBulkWriterParam bulkWriterParam)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendRow(com.google.gson.JsonObject rowData)`
    `void` | `close()`
    `void` | `commit(boolean async)`
    `java.util.List<java.util.List<java.lang.String>>` | `getBatchFiles()`

    - ### Methods inherited from class io.milvus.bulkwriter.BulkWriter

      `getBufferRowCount, getTotalRowCount`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteBulkWriter

          public RemoteBulkWriter(RemoteBulkWriterParam bulkWriterParam)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### appendRow

          public void appendRow(com.google.gson.JsonObject rowData)
                         throws java.io.IOException,
                                java.lang.InterruptedException

      Overrides:
        `appendRow` in class `LocalBulkWriter`
      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

    - #### commit

          public void commit(boolean async)
                      throws java.lang.InterruptedException

      Overrides:
        `commit` in class `LocalBulkWriter`
      Throws:
        `java.lang.InterruptedException`

    - #### getBatchFiles

          public java.util.List<java.util.List<java.lang.String>> getBatchFiles()

      Overrides:
        `getBatchFiles` in class `LocalBulkWriter`

    - #### close

          public void close()
                     throws java.lang.Exception

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `LocalBulkWriter`
      Throws:
        `java.lang.Exception`